package Bencher::ScenarioR::LogGer::Overhead;

our $VERSION = 0.013; # VERSION

our $results = [
  [
    200,
    "OK",
    [
      {
        code_overhead_time => 97.4,
        errors => 8.2e-05,
        participant => "use Log::Dispatchouli;",
        samples => 20,
        time => 103,
        vs_slowest => 1,
      },
      {
        code_overhead_time => 94.4,
        errors => 0.00011,
        participant => "use Log::Dispatch; my \$null = Log::Dispatch->new(outputs=>[ [\"Nu",
        samples => 20,
        time => 100,
        vs_slowest => 1,
      },
      {
        code_overhead_time => 89.6,
        errors => 7.4e-05,
        participant => "use Log::Dispatch;",
        samples => 20,
        time => 95.2,
        vs_slowest => 1.08,
      },
      {
        code_overhead_time => 71.4,
        errors => 0.00015,
        participant => "use Log::Contextual qw(:log);",
        samples => 20,
        time => 77,
        vs_slowest => 1.3,
      },
      {
        code_overhead_time => 31.8,
        errors => 2.6e-05,
        participant => "use Log::Log4perl;",
        samples => 20,
        time => 37.4,
        vs_slowest => 2.76,
      },
      {
        code_overhead_time => 14.4,
        errors => 0.00025,
        participant => "use Log::ger::App; use Log::ger;",
        samples => 20,
        time => 20,
        vs_slowest => 4,
      },
      {
        code_overhead_time => 15.4,
        errors => 3.1e-05,
        participant => "use Log::Log4perl::Tiny;",
        samples => 20,
        time => 21,
        vs_slowest => 4.9,
      },
      {
        code_overhead_time => 14.4,
        errors => 0.0002,
        participant => "use Log::ger::App;",
        samples => 20,
        time => 20,
        vs_slowest => 6,
      },
      {
        code_overhead_time => 10.4,
        errors => 4e-05,
        participant => "use Log::ger::Like::Log4perl;",
        samples => 20,
        time => 16,
        vs_slowest => 6.3,
      },
      {
        code_overhead_time => 9.4,
        errors => 9.4e-05,
        participant => "use Log::Any q(\$log);",
        samples => 20,
        time => 15,
        vs_slowest => 6.9,
      },
      {
        code_overhead_time => 8.4,
        errors => 3.3e-05,
        participant => "use Log::Any;",
        samples => 21,
        time => 14,
        vs_slowest => 7.2,
      },
      {
        code_overhead_time => 7.4,
        errors => 0.00012,
        participant => "use Log::ger::Output::Screen;",
        samples => 20,
        time => 13,
        vs_slowest => 8.3,
      },
      {
        code_overhead_time => 4.4,
        errors => 0.00015,
        participant => "use Log::ger::Output::Composite;",
        samples => 20,
        time => 10,
        vs_slowest => 10,
      },
      {
        code_overhead_time => 3.2,
        errors => 2.8e-05,
        participant => "use Log::ger::Plugin::OptAway; use Log::ger;",
        samples => 22,
        time => 8.8,
        vs_slowest => 12,
      },
      {
        code_overhead_time => 0.9,
        errors => 3e-05,
        participant => "use Log::ger ();",
        samples => 20,
        time => 6.5,
        vs_slowest => 16,
      },
      {
        code_overhead_time => 0.4,
        errors => 7.4e-05,
        participant => "use Log::ger; Log::ger->get_logger;",
        samples => 20,
        time => 6,
        vs_slowest => 20,
      },
      {
        code_overhead_time => 0.800000000000001,
        errors => 1.5e-05,
        participant => "use Log::ger::Like::LogAny;",
        samples => 21,
        time => 6.4,
        vs_slowest => 16,
      },
      {
        code_overhead_time => 0.7,
        errors => 3.6e-05,
        participant => "use Log::ger;",
        samples => 20,
        time => 6.3,
        vs_slowest => 16,
      },
      {
        code_overhead_time => 0,
        errors => 3.6e-05,
        participant => "perl -e1 (baseline)",
        samples => 20,
        time => 5.6,
        vs_slowest => 18,
      },
    ],
    {
      "func.bencher_args"              => {
                                            action => "bench",
                                            note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                            scenario_module => "LogGer::Overhead",
                                          },
      "func.bencher_version"           => undef,
      "func.code_startup"              => 1,
      "func.cpu_info"                  => [
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "lahf_lm",
                                                                                "epb",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "xsaveopt",
                                                                                "dtherm",
                                                                                "ida",
                                                                                "arat",
                                                                                "pln",
                                                                                "pts",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "6144 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 42,
                                              name                         => "Intel(R) Core(TM) i5-2400 CPU \@ 3.10GHz",
                                              number_of_cores              => 4,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 0,
                                              speed                        => 3242.095,
                                              stepping                     => 7,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "lahf_lm",
                                                                                "epb",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "xsaveopt",
                                                                                "dtherm",
                                                                                "ida",
                                                                                "arat",
                                                                                "pln",
                                                                                "pts",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "6144 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 42,
                                              name                         => "Intel(R) Core(TM) i5-2400 CPU \@ 3.10GHz",
                                              number_of_cores              => 4,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 1,
                                              speed                        => 3255.529,
                                              stepping                     => 7,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "lahf_lm",
                                                                                "epb",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "xsaveopt",
                                                                                "dtherm",
                                                                                "ida",
                                                                                "arat",
                                                                                "pln",
                                                                                "pts",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "6144 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 42,
                                              name                         => "Intel(R) Core(TM) i5-2400 CPU \@ 3.10GHz",
                                              number_of_cores              => 4,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 2,
                                              speed                        => 2713.067,
                                              stepping                     => 7,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "lahf_lm",
                                                                                "epb",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "xsaveopt",
                                                                                "dtherm",
                                                                                "ida",
                                                                                "arat",
                                                                                "pln",
                                                                                "pts",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "6144 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 42,
                                              name                         => "Intel(R) Core(TM) i5-2400 CPU \@ 3.10GHz",
                                              number_of_cores              => 4,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 3,
                                              speed                        => 3153.924,
                                              stepping                     => 7,
                                            },
                                          ],
      "func.elapsed_time"              => 15.2736229896545,
      "func.module_startup"            => undef,
      "func.module_versions"           => {
                                            "__PACKAGE__"                         => 1.041,
                                            "Bencher::Scenario::LogGer::Overhead" => undef,
                                            "Benchmark::Dumb"                     => 0.111,
                                            "Devel::Platform::Info"               => 0.16,
                                            "Log::Any"                            => 1.707,
                                            "Log::Contextual"                     => 0.007001,
                                            "Log::Dispatch"                       => 2.65,
                                            "Log::Dispatch::Null"                 => 2.65,
                                            "Log::Dispatchouli"                   => 2.015,
                                            "Log::ger"                            => 0.023,
                                            "Log::ger::App"                       => 0.009,
                                            "Log::ger::Layout::Pattern"           => 0.001,
                                            "Log::ger::Output"                    => 0.023,
                                            "Log::Log4perl"                       => 1.49,
                                            "Log::Log4perl::Tiny"                 => "1.4.0",
                                            "perl"                                => "v5.26.0",
                                            "Sys::Info"                           => 0.78,
                                          },
      "func.note"                      => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"                   => ["perl", ["perl"], "participant", [0 .. 19]],
      "func.platform_info"             => {
                                            archname => "x86_64",
                                            codename => "sonya",
                                            is32bit  => 0,
                                            is64bit  => 1,
                                            kernel   => "linux-4.8.0-53-generic",
                                            kname    => "Linux",
                                            kvers    => "4.8.0-53-generic",
                                            osflag   => "linux",
                                            oslabel  => "LinuxMint",
                                            osname   => "GNU/Linux",
                                            osvers   => 18.2,
                                            source   => {
                                                          "cat /etc/.issue" => "",
                                                          "cat /etc/issue"  => "Linux Mint 18.2 Sonya \\n \\l",
                                                          "lsb_release -a"  => "Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 18.2 Sonya\nRelease:\t18.2\nCodename:\tsonya",
                                                          "uname -a"        => "Linux builder 4.8.0-53-generic #56~16.04.1-Ubuntu SMP Tue May 16 01:18:56 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux",
                                                          "uname -m"        => "x86_64",
                                                          "uname -o"        => "GNU/Linux",
                                                          "uname -r"        => "4.8.0-53-generic",
                                                          "uname -s"        => "Linux",
                                                        },
                                          },
      "func.precision"                 => 0,
      "func.scenario_module"           => "Bencher::Scenario::LogGer::Overhead",
      "func.scenario_module_md5sum"    => "c1109d32fb348d903c9767f1a6d47c34",
      "func.scenario_module_mtime"     => 1545302243,
      "func.scenario_module_sha1sum"   => "ee9305bf048c7bd064f0c6444a71822528ba64e0",
      "func.scenario_module_sha256sum" => "77da734fec62910d35386d2c942b32b2febaa8c5b6f1d3c6534bcda67eb6ceaf",
      "func.time_end"                  => 1545303649.16709,
      "func.time_factor"               => 1000,
      "func.time_start"                => 1545303633.89346,
      "table.field_aligns"             => ["left", "number", "number", "number", "number", "number"],
      "table.field_units"              => [undef, "ms", "ms"],
      "table.fields"                   => [
                                            "participant",
                                            "time",
                                            "code_overhead_time",
                                            "vs_slowest",
                                            "errors",
                                            "samples",
                                          ],
    },
  ],
];

1;
# ABSTRACT: Measure startup overhead of various codes

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

